Configuration FileServer{
    Import-DscResource -ModuleName 'PSDesiredStateConfiguration'

    #Find all notes where the Role Equals FileServer
    node $AllNodes.Where({$_.Role -eq 'FileServer'}).NodeName {

        #Create our directory
        File DirectoryCopy
        {
            Ensure = "Present" 
            Type = "Directory" 
            DestinationPath = $Node.DirectoryPath #Grab the directory path for the current Node
        }
    }  
}
#Define Generate our MOF file
FileServer -OutputPath "$PSScriptRoot" -ConfigurationData "$PSScriptRoot\configdata.psd1"