#Set global error action
$ErrorActionPreference = 'Stop'

#Delete Pre-existing MOFS in our DSC base folder
Get-ChildItem "$PSScriptRoot\DSC" -Recurse -Include '*.mof' | Remove-Item -Force
Get-ChildItem "$PSScriptRoot\DSC" -Recurse -Include '*.mof.error' | Remove-Item -Force

#Build MOFS
$DSCFiles = Get-ChildItem "$PSScriptRoot\DSC" -Recurse -Include '*.ps1'

foreach ($eachConfiguration in $DSCFiles) {
    Write-Output "Building MOFS: $eachConfiguration"
    .$eachConfiguration
}